## gnome-do-plugins 0.8.4

=== debian/changelog ===
gnome-do-plugins (0.8.4-5) unstable; urgency=low

  * Team upload
  * Rebuild for gdata-sharp 2.1.0.0
  * [d49ef4b] Bump Standards-Version to 3.9.3

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 05 Jun 2012 02:25:53 +0800

gnome-do-plugins (0.8.4-4) unstable; urgency=low

  * Team upload
  * Rebuild for CLR 4.0 transition
  * [538c431] Move to 3.0 (quilt) format
  * [fdfdbe0] No-change Standards-Version bump (3.9.1 → 3.9.2)

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 19 Jan 2012 14:52:14 +0800

gnome-do-plugins (0.8.4-3) unstable; urgency=low

  * No-change rebuild for new gdata-sharp ABI (Closes: #652842) 

 -- Iain Lane <laney@debian.org>  Sat, 24 Dec 2011 11:23:12 +0000

gnome-do-plugins (0.8.4-2) unstable; urgency=low

  * [fad2401] Add 02_select_correct_banshee_dbus_implementation.patch.
    Fixes the detection of when to use dbus-sharp instead of ndesk.dbus, which
    was causing do-plugins to FTBFS in sid. (Closes: #634433)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 29 Aug 2011 10:12:46 +0100

gnome-do-plugins (0.8.4-1) unstable; urgency=low

  [ Iain Lane ]
  * Update to use my d.o email address

  [ Christopher James Halse Rogers ]
  * Imported Upstream version 0.8.4
  * Drop 02_gdata_1.7_compatibility.diff; fixed upstream
  * Bump gnome-do depends versioning to 0.8.5 for new plugin APIs
  * Add --enable-release configure flag; upstream's build system is fixed now.
  * Use ‘--with cli’ in rules to avoid warning spam
  * Remove mention of long-dead Evolution plugin from package description.
    (LP: 682228)
  * Add dllmap files for WindowManager and XRandR plugins

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 16 Jun 2011 22:06:56 +1000

gnome-do-plugins (0.8.3-1) unstable; urgency=low

  * It came from the deep! New upstream release
  * debian/rules:
    - Now 100% dfsg-free; drop get-orig-source logic
    - Drop autoreconf-ing; we no longer need to patch the build system.
    - Add “--with” quilt to actually apply the patches.
    - Delete *.addin.xml files on clean; these are autogenerated files which
      shouldn't be in the tarball, and they clutter the debian diff.
    - Upstream buildsystem no longer fails without unused mautil.  Drop it from
      configure.
  * debian/patches/00_debian_default_plugins.patch:
    - Refresh for new upstream version.
  * debian/patches/02_fix_firefox_icon.patch:
    - Drop; fixed in more generality upstream.
  * debian/control:
    - Bump runtime and build-depends on gnome-do to 0.8.4.
    - Add libdbus1.0-cil-dev and libdbus-glib1.0-cil-dev to Build-Depends for
      Empathy plugin.
    - Bump Standards-Version; no changes required.
    - Transition VCS-* fields to git
  * debian/patches/02_gdata_1.7_compatibility.diff:
    - Drop address field from the GMail contacts plugin; this API changed in
      gdata .NET 1.7, and needs fixing upstream

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 21 Feb 2011 22:31:09 +1100

gnome-do-plugins (0.8.2.1+dfsg-2) unstable; urgency=low

  [ Christopher James Halse Rogers ]
  * debian/control:
    + Drop slocate from gnome-do-plugins Recommends: this package is only
      in oldstable (Closes: #565656).
    + Update build-depends for -cil-dev transition.
  * debian/rules:
    + Pass fake MAUTIL=/bin/true to configure.  mautil has moved to the
      mono-addins-utils package, so now isn't pulled in by 
      libmono-addins-cil-dev.  The build system doesn't actually *use* mautil,
      and hasn't for a couple of releases.  Upstream's buildsystem maintainer
      should perhaps pay more attention ;).
  * debian/patches/02_fix_firefox_icon.patch
    + Use the unversioned "firefox" icon name.  Both Iceweasel in Sid and 
      Firefox 3.6 in Lucid ship this icon. (Closes: #544075) (LP: #444171)

  [ Jo Shields ]
  * debian/control:
    + No-change bump to Standards 3.8.4
    + Update mono-devel build-dep to 2.4.3
    + Remove superfluous build-deps on individual mono libs

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Sat, 30 Jan 2010 17:18:47 +1100

gnome-do-plugins (0.8.2.1+dfsg-1) unstable; urgency=low

  [ Iain Lane ]
  * New upstream release 0.8.2.1
   - Correctly find Banshee indexer
   - Fix firefox leak on Mono < 2.4 (LP: #381064)
   - Close SSH hosts file after reading
   - Session plugin now works on devicekit-disks (LP: #410079)
  * 02_fix_banshee_plugin.dpatch: Drop, no longer required. Errors will be
    shown on console if Banshee is not installed but these are non-fatal.
  * rules, control: Use mono-csc 
  * debian/rules, debian/*.install: Update dh7isation to be more standard.
    install files no longer required as dh_auto_* takes care of this perfectly
  * debian/rules, debian/control: Use quilt as patchsys - refresh patches to
    take this into account
  * debian/control: Drop gnome-do-plugin-evolution as this cannot be built due
    to our evolution-sharp being uninstallable and unfixable. Sorry. It will
    be back as soon as possible.
  * debian/control: Depend on libflickrnet -dev package as part of the new
    world order

  [ Jo Shields ]
  * debian/rules:
   - Make get-orig-source rule deterministic

 -- Iain Lane <laney@ubuntu.com>  Wed, 18 Nov 2009 17:01:01 +0000

gnome-do-plugins (0.8.2+dfsg-2) unstable; urgency=low

  * debian/control: Update libflickrnet build dependency for 2.2.0 transition
    (Closes: #543804)
  * debian/control: Bump standards-version, no changes
  * debian/control: Increase debhelper minimum version (thanks Lintian)

 -- Iain Lane <laney@ubuntu.com>  Tue, 08 Sep 2009 15:01:20 +0100

gnome-do-plugins (0.8.2+dfsg-1) unstable; urgency=low

  * New upstream release
    + Pidgin plugin now supports initial text for messages (LP: #338608)
    + Pidgin plugin opens conversations on the correct IM network (LP: #370965)
  * debian/rules:
    + Update get-orig-source target.  Upstream no longer ships gdata* binaries,
      so we no longer need to strip them
  * debian/patches/00_use_system_gdata

