=== debian/control ===
Source: gnome-do-plugins
Section: gnome
Priority: optional
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Uploaders: Christopher James Halse Rogers <raof@ubuntu.com>, Colin Turner <ct@piglets.com>, Iain Lane <laney@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
  cli-common-dev (>= 0.5.7)
Build-Depends-Indep:
  mono-devel (>= 2.4.3),
  autotools-dev,
  automake,
  dh-autoreconf,
  gnome-do (>= 0.8.5),
  banshee (>= 1.4.2),
  pkg-config,
  intltool,
  libtool,
  libglib2.0-dev,
  libflickrnet-cil-dev,
  libglib2.0-cil-dev,
  libgtk2.0-cil-dev,
  libglade2.0-cil-dev,
  libgnome-keyring1.0-cil-dev,
  libgnomedesktop2.0-cil-dev,
  libgconf2.0-cil-dev,
  libgnome2.0-cil-dev,
  libgnome-vfs2.0-cil-dev,
  libmono-addins-cil-dev,
  libmono-addins-gui-cil-dev,
  libndesk-dbus1.0-cil-dev,
  libndesk-dbus-glib1.0-cil-dev,
  libnotify-cil-dev,
  libwnck1.0-cil-dev,
  libgdata-cil-dev,
  libdbus1.0-cil-dev,
  libdbus-glib1.0-cil-dev,
Standards-Version: 3.9.3
Homepage: http://do.davebsd.com
Vcs-Git: git://git.debian.org/pkg-cli-apps/packages/gnome-do-plugins.git
Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/gnome-do-plugins.git;a=summary

Package: gnome-do-plugins
Architecture: all
Depends: ${cli:Depends}, 
         ${misc:Depends},
         gnome-do (>= 0.8.5)
Recommends: mlocate | locate
Conflicts: gnome-do-plugin-amarok, gnome-do-plugin-rhythmbox
Replaces: gnome-do-plugin-amarok, gnome-do-plugin-rhythmbox
Suggests: banshee,
  epiphany-browser,
  iceweasel | firefox,
  pidgin,
  rhythmbox
Description: Extra functionality for GNOME Do
 This package provides extra plugins for GNOME Do.  It includes plugins for
 interacting with GMail & Thunderbird contacts, Pidgin IM buddies,
 searching the Web using Firefox search plugins, and more.
