=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg(\d)*$// \
https://launchpad.net/do-plugins/+download http://launchpad.net/do-plugins/.*/.*/\+download/gnome-do-plugins-(.*).tar.gz
