## gnome-do-plugins 0.8.5

=== debian/changelog ===
gnome-do-plugins (0.8.5-4) unstable; urgency=medium

  * [76f7b70] Drop Flickr plugin as it fails to authenticate.
  * [a8446ca] Drop WindowManager plugin. (Closes: 798874)
  * [cd192c0] Update Homepage field
  * [8aff48b] Mark as Built-Using: banshee
  * [3c36fa0] Bump Standards-Version now that we correctly set Built-Using

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 12 Nov 2015 10:59:34 +0000

gnome-do-plugins (0.8.5-3) unstable; urgency=medium

  * Team upload
  * [d045ddb] Reexport patches using gbp-pq
  * [28ce61e] Drop outdated urls (Closes: #738195)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 18 Nov 2014 10:15:09 +0800

gnome-do-plugins (0.8.5-2) unstable; urgency=low

  * [9ce0e96] Use DBus# 2.0 API.

 -- Jo Shields <directhex@apebox.org>  Thu, 09 Jan 2014 10:18:50 +0000

gnome-do-plugins (0.8.5-1) unstable; urgency=low

  * Fix watch file
  * Imported Upstream version 0.8.5
    + New upstream fixes FTBFS with Mono 3.0 (Closes: #713077)
  * Drop DLLMap config files for WindowManager and XRandR plugins, now shipped upstream.
  * Drop dh_auto_clean override; upstream no longer ships generated files
  * Drop 02_select_correct_banshee_dbus_implementation.patch; fixed upstream.
  * Add libnewtonsoft-json-cil-dev to Bulid-Depends for new Transmission plugin

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 15 Oct 2013 21:43:20 +1100
