=== debian/control ===
--- 
+++ 
@@ -16,26 +16,22 @@
   intltool,
   libtool,
   libglib2.0-dev,
-  libflickrnet-cil-dev,
   libglib2.0-cil-dev,
   libgtk2.0-cil-dev,
   libglade2.0-cil-dev,
   libgnome-keyring1.0-cil-dev,
-  libgnomedesktop2.0-cil-dev,
   libgconf2.0-cil-dev,
   libgnome2.0-cil-dev,
   libgnome-vfs2.0-cil-dev,
   libmono-addins-cil-dev,
   libmono-addins-gui-cil-dev,
-  libndesk-dbus1.0-cil-dev,
-  libndesk-dbus-glib1.0-cil-dev,
+  libdbus2.0-cil-dev,
+  libdbus-glib2.0-cil-dev,
   libnotify-cil-dev,
-  libwnck1.0-cil-dev,
   libgdata-cil-dev,
-  libdbus1.0-cil-dev,
-  libdbus-glib1.0-cil-dev,
-Standards-Version: 3.9.3
-Homepage: http://do.davebsd.com
+  libnewtonsoft-json-cil-dev,
+Standards-Version: 3.9.6
+Homepage: http://do.cooperteam.net
 Vcs-Git: git://git.debian.org/pkg-cli-apps/packages/gnome-do-plugins.git
 Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/gnome-do-plugins.git;a=summary
 
@@ -52,6 +48,7 @@
   iceweasel | firefox,
   pidgin,
   rhythmbox
+Built-Using: banshee (= ${banshee:Version})
 Description: Extra functionality for GNOME Do
  This package provides extra plugins for GNOME Do.  It includes plugins for
  interacting with GMail & Thunderbird contacts, Pidgin IM buddies,
