=== debian/rules ===
#!/usr/bin/make -f
#
# Rules file for gnome-do-plugins
#

#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -- --enable-release DMCS=/usr/bin/mono-csc

override_dh_install:
	dh_install --fail-missing

override_dh_gencontrol:
	# Populate the relevant versions for Built-Using
	echo "banshee:Version=$$(dpkg-query --show --showformat=$$\{Version\} banshee)" >> debian/gnome-do-plugins.substvars

	dh_gencontrol

%:
	dh --with cli,autoreconf $@
